/**
 *******************************************************************************
 * @file    tmpm362_rc.h
 * @brief   This file provides all the functions prototypes for RC driver.
 * @version V2.0.2.2
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM362_RC_H
#define __TMPM362_RC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TMPM362.h"
#include "tx03_common.h"

#if defined(__TMPM360_RC_H) || defined(__TMPM361_RC_H) || defined(__TMPM362_RC_H) || defined(__TMPM363_RC_H) || defined(__TMPM364_RC_H)
/** @addtogroup TX03_Periph_Driver
  * @{
  */

/** @addtogroup RC
  * @{
  */

/** @addtogroup RC_Exported_types
  * @{
  */

    typedef enum {
        RC_RAMWAIT_0 = 0U,
        RC_RAMWAIT_1 = 1U
    } RC_RAMWait;

#define IS_RC_RAMWAIT(param)  (((param) == RC_RAMWAIT_0)||((param) == RC_RAMWAIT_1))

/** @} */
/* End of group RC_Exported_types */

/** @defgroup RC_Exported_FunctionPrototypes
  * @{
  */

    void RC_SetRAMWait(RC_RAMWait RAMWait);
    RC_RAMWait RC_GetRAMWait(void);

/** @} */
/* End of group RC_Exported_FunctionPrototypes */

/** @} */
/* End of group RC */

/** @} */
/* End of group TX03_Periph_Driver */
#endif                          /*(__TMPM360_RC_H) || (__TMPM361_RC_H) || (__TMPM362_RC_H) || (__TMPM363_RC_H) || (__TMPM364_RC_H)  */

#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* __TMPM362_RC_H */
