/**
 *****************************************************************************
 * @file     main.c
 * @brief    the application functions of GPIO demo for the
 *           TOSHIBA 'TMPM362' Device Series 
 * @version  V0.101
 * @date     2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */

/* include file */
#include "tmpm362_gpio.h"
#include "key.h"
#include "led.h"

/*  Function declaration */
void demo(void);
void Delay(void);

/* main function */
int main(void)
{
    SystemInit();

    LED_Configuration();
    KEY_Configuration();
    while (1) {
        demo();
    }
}

void demo(void)
{
    if (KEY_Get(KEY1)) {
        LED_On(LED1);
    } else {
        LED_Off(LED1);
    }
    if (KEY_Get(KEY2)) {
        LED_On(LED2);
    } else {
        LED_Off(LED2);
    }
    if (KEY_Get(KEY3)) {
        LED_On(LED3);
    } else {
        LED_Off(LED3);
    }
    if (KEY_Get(KEY4)) {
        LED_On(LED4);
    } else {
        LED_Off(LED4);
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
