/**
 *******************************************************************************
 * @file    tmpm362_rtc_int.c
 * @brief   All interrupt request functions definition of RTC
 *          for the TOSHIBA 'TMPM362' Device Series 
 * @version V1.001
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm362_rtc_int.h"
volatile uint8_t fRTCSetting_ok = 0U;

/**
  * @brief  The RTC interrupt request function.
  * @param  None
  * @retval None
  */
void INTRTC_IRQHandler(void)
{
    fRTCSetting_ok = 1U;
    TSB_CG->ICRCG = (uint32_t) 0x14;
}
