/**
 *******************************************************************************
 * @file    tmpm362_sbi_int.h
 * @brief   all interrupt request functions prototypes of Read EEPROM demo
 *          for the TOSHIBA 'TMPM362' Device Series 
 * @version V1.001
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM362_SBI_INT_H
#define __TMPM362_SBI_INT_H
/* Includes ------------------------------------------------------------------*/
#include "TMPM362.h"
#include "tmpm362_sbi.h"

extern uint32_t gI2C_WCnt;
extern uint32_t gI2C_RCnt;
extern uint32_t gI2C_TxDataLen;
extern uint32_t gI2C_TxData[16];
extern uint32_t gI2C_RxDataLen;
extern uint32_t gI2C_RxData[16];

extern SBI_InitI2CTypeDef myI2C;

void INTSBI2_IRQHandler(void);

#endif                          /* __TMPM362_SBI_INT_H */
