/**
 *******************************************************************************
 * @file     key.c
 * @brief    KEY driver for the TOSHIBA TMPM36x Device Series
 * @version  V0.101
 * @date     2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#include "key.h"

/*******************************************************************************
* Function Name  : KEY_Configuration
* Description    : Config the GPIO to KEY 
* Input          : None 
* Return         : None.
*******************************************************************************/
void KEY_Configuration(void)
{
    TSB_PJ->IE = (uint32_t) 0xF0;
    TSB_PJ->PUP = (uint32_t) 0xF0;
}

/*******************************************************************************
* Function Name  : KEY_Get
* Description    : Get KEY Value
* Input          : ucKEY.
* Return         : KEY value.
*******************************************************************************/
uint8_t KEY_Get(uint8_t ucKEY)
{
    uint8_t ucVal = 0U;
    if ((ucKEY & KEY1) != 0U) {
        if (!TSB_PJ_DATA_PJ4) {
            ucVal |= (uint8_t) 0x01;
        }
    }
    if ((ucKEY & KEY2) != 0U) {
        if (!TSB_PJ_DATA_PJ5) {
            ucVal |= (uint8_t) 0x02;
        }
    }
    if ((ucKEY & KEY3) != 0U) {
        if (!TSB_PJ_DATA_PJ6) {
            ucVal |= (uint8_t) 0x04;
        }
    }
    if ((ucKEY & KEY4) != 0U) {
        if (!TSB_PJ_DATA_PJ7) {
            ucVal |= (uint8_t) 0x08;
        }
    }
    return (ucVal);
}
